%global git_version  6e8c66
Name:       transmission-remote-cli
Version:    1.7.0
Release:    9%{?dist}
Summary:    A console interface for the Transmission BitTorrent client

Group:      Applications/Internet
License:    GPLv3+
URL:        https://github.com/fagga/transmission-remote-cli
# git clone https://github.com/fagga/transmission-remote-cli
# cd transmission-remote-cli
# git-archive --format=tar  {git_version} --prefix ={name}/ | xz  > transmission-{version}tar.xz

Source0:    %{name}-%{version}.tar.xz

BuildArch:  noarch
Requires:   python2-GeoIP python2-adns python2-IPy python2-libs
Requires:   transmission-daemon >= 1.90

%description
Simple command line interface using ncurses for the Transmission BitTorrent
client. It is an alternative to Transmission cli and can be used to control
local and remote instances of the Transmission daemon.

%prep
%setup -q -n %{name}

%build
#empty build

%install
# Script
install -Dpm 755 %{name} %{buildroot}%{_bindir}/%{name}
# Man page
mkdir -p %{buildroot}%{_mandir}/man1/
gzip %{name}.1
install -Dpm 644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz
# Bash tab completion
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
install -Dpm 644 completion/bash/transmission-remote-cli-bash-completion.sh %{buildroot}%{_sysconfdir}/bash_completion.d/transmission-remote-cli-bash-completion.sh

%files
%doc COPYING README.md NEWS
%{_bindir}/transmission-remote-cli
%{_mandir}/man1/%{name}.1.gz
%{_sysconfdir}/bash_completion.d/transmission-remote-cli-bash-completion.sh

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 28 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.7.0-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Jun 01 2014 Rahul Sundaram <sundaram@fedoraproject.org> - 1.7.0-1
- update to 1.7.0
- drop python-simplejson from requires since it is no longer needed
- fix source tarball generation and drop defattr

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jan 12 2013 Ben Thompson <d0g@fedoraproject.org> 1.4.7-1
- Latest upstream release. Removed screenshots from doc.

* Sat Oct 06 2012 Ben Thompson <d0g@fedoraproject.org> 1.4.2-1
- Latest upstream release, includes bash tab completion.

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun May 06 2012 Ben Thompson <d0g@fedoraproject.org> 1.2.2-2
- Added NEWS file to doc.

* Sun May 06 2012 Ben Thompson <d0g@fedoraproject.org> 1.2.2-1
- Latest upstream, branch master.

* Sat Feb 25 2012 Ben Thompson <d0g@fedoraproject.org> 1.0-1
- New upstream release, branch "2.40"

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 22 2011 Ben Thompson <d0g@fedoraproject.org> 0.10.4-1
- Using upstream branch "2.40"

* Thu Dec 22 2011 Ben Thompson <d0g@fedoraproject.org> 0.9.4-2
- Added dist tag

* Mon Oct 24 2011 Ben Thompson <d0g@fedoraproject.org> 0.9.4-1
- New upstream release
- Older versions of transmission-daemon are supported again (1.90)
- python-libs dependancy added
- Added man page

* Mon Jun 20 2011 Satya Komaragiri <satyak@fedoraproject.org> 0.9.1-1
- New upstream release
- Modified transmission-daemon's minimum required version to 2.30
- Added python-IPy as a new dependency
- Changed the sources to a tarball.

* Sat Mar 05 2011 Rahul Sundaram <sundaram@fedoraproject.org> -0.8.2-1
- New upstream release

* Tue Feb 22 2011 Satya Komaragiri <satyak@fedoraproject.org> 0.8-1
- New upstream release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jun 23 2010 Satya Komaragiri <satyak@fedoraproject.org> 0.6.5-2
- Uploaded README.md to fix a failed build in koji

* Wed Jun 23 2010 Satya Komaragiri <satyak@fedoraproject.org> 0.6.5-1
- New upstream release

* Sat Apr 24 2010 Rahul Sunaram <sundaram@fedoraproject.org> 0.5.6-1
- New upstream release
- Fix requires

* Wed Apr 07 2010 Satya Komaragiri <satyak@fedoraproject.org> 0.5.5-4
- Updated the release scheme
- Changed the URL to SOURCE0 to point to the specific version rather than master
- Added the VCS tag
- Specified version range for transmission-daemon dependency

* Wed Mar 10 2010 Satya Komaragiri <satyak@fedoraproject.org> 0.5.5-0.3.20100310git
- Updated the source to the latest upstream version
- Changed the release scheme to follow the pre-release snapshot guidelines
- Corrected the installation of REAME.md

* Wed Mar 03 2010 Satya Komaragiri <satyak@fedoraproject.org> 0.5.5-2.20100303git
- Update for review

* Wed Mar 03 2010 Satya Komaragiri <satyak@fedoraproject.org> 0.5.5-1.20100303git
- Initial version
